<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__csdadc__ch__pin__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_csdadc_ch_pin_t</compoundname>
    <includes local="no">cy_csdadc.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__csdadc__ch__pin__t_1a779f03fc5a410ad80fce366739f2641c" kind="variable" mutable="no" prot="public" static="no">
        <type>GPIO_PRT_Type *</type>
        <definition>GPIO_PRT_Type* cy_stc_csdadc_ch_pin_t::ioPcPtr</definition>
        <argsstring />
        <name>ioPcPtr</name>
        <briefdescription>
<para>Pointer to channel IO PC register. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" bodystart="884" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" line="884" />
      </memberdef>
      <memberdef id="structcy__stc__csdadc__ch__pin__t_1abd34cbae8a1162d22e4619f031b5c80f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_csdadc_ch_pin_t::pin</definition>
        <argsstring />
        <name>pin</name>
        <briefdescription>
<para>Channel IO pin. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" bodystart="885" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" line="885" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>CSDADC pin structure. </para>    </briefdescription>
    <detaileddescription>
<para>This structure contains information about Port/Pin assignment of a particular CSDADC channel. The CSDADC channel can be assigned to any GPIO that supports the static connection to the AMUX-B (refer to the particular device datasheet for information). </para>    </detaileddescription>
    <location bodyend="886" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" bodystart="883" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" line="883" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__csdadc__ch__pin__t_1a779f03fc5a410ad80fce366739f2641c" virt="non-virtual"><scope>cy_stc_csdadc_ch_pin_t</scope><name>ioPcPtr</name></member>
      <member prot="public" refid="structcy__stc__csdadc__ch__pin__t_1abd34cbae8a1162d22e4619f031b5c80f" virt="non-virtual"><scope>cy_stc_csdadc_ch_pin_t</scope><name>pin</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>